AOZ Studio Beta - Bug #866

Every interrupt function causing random amiga issues
11/15/2021 12:02 PM - malcolm harvey

Status: Closed Start date: 11/15/2021
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0.0 (B11) ut17

Description

Using Every function or cmd is causing..(Amiga mode manifest issue). Beta 10&11 same.

a) Gosubs do not complete at random including ones with (if else endif inside them) evaluates are not working etc in the gosubs, they
never complete and return.

b) Also alot of amiga (screen modes or screen display) fail to set or take any note of screen hide cmd/function etc you end up with
screens to back instead front or not hidden at all.

¢) | also found the program counter had moved to random positions in the code, very odd indeed.

It seams as paul found out, if one is using the "Every 1 proc " procedure, it seams to cause all the above in the current builds.
| disabled as did paul and found things now worked. Also because of this problem, | have been unable to use the previewer in Beta
10&11 at all, the code would only run in fullscreen browsers.

History

#1 - 12/07/2021 06:23 AM - Francois Lionet
- Status changed from New to Feedback

- Assignee changed from AOZ Studio Team to Francois Lionet

Please provide example code... ;)

#2 - 12/07/2021 11:32 AM - malcolm harvey
- Status changed from Feedback to Closed

Hmm, | dont know if | can replicate this simply.
Il close the ticket and if | can find what does this simply ill add another ticket.
It might be best | put in a ticket showing just what is not working in the previewer instead.

#3 - 12/16/2021 08:53 PM - malcolm harvey

Example of things that stop working recently in Amiga mode using "every x interrupt method" but did previously but work only now currently using alt
method "Myint = Set Interval( 5, "readclock" ). (Basically if any of the below occurs it just stops executing.

Seams yes something in every has changed. Doing multiple screen open and hiding them straight after can stop it one after the other that you might
have previously opened or even doing screen display 2,0,0,640,512 can also give an error which should not be.

| do think tho, its just some cascading effect simply using every now, bombing out normal commands that should not be effected.

(If else end if loops)

scrollinscreenu: // screen fades moves wipes etc. (This routine scrolls screen in from bottom to top (Experima
ntal) (not in use)

offsetposy=offsetposyvalue //offset y value preset before call start
offsetposyl=offsetposyvaluel //offset y value preset before call start
screen display 0,offsetposxnow,offsetposy,320,256

screen display 1,offsetposx,offsetposyl, 158,236

checkscrpos:
if offsetposy>=yposvalue // Stop if >=40 or moves 254 pixels up
offsetposy=offsetposy-2 // 2 pixel scroll

offsetposyl=offsetposyl-2
wait vbl
screen display 0,offsetposxnow,offsetposy, 320,256
screen display 1,offsetposx,offsetposyl, 158,236

goto checkscrpos
else
end if

// print offsetpos // print screen offset pos (Viewport)..//
return

(Open screen and hide screens)

//hidden screen 2 for inventory //Open second screen for copy and paste objects for blitter
Screen Open 2,640,512,256,Hires //This is the inventory screen/sprites and loading/exit pics s
creen 2

screen display 2,0,0,640,512
//Set Font "sapphire", 14
screen hide 2

curs off

(Get block & put block)
if currentposmapcoord#=6.0 //cannonroom
screen 4

//Get Icon 2,1,0,128 To 160,256
Get Block 1,0,384,160,128

if showmudmap=1 //if mudmap showing bypass gfx
screen 10
Put block 1,0,0 //put current background screen 2

screen 0
goto Blitroomgfxdone
else
end if
screen O
//Paste Icon 160,56,1
Put Block 1,160,56
Else

end 1if
#4 - 05/23/2022 10:25 AM - malcolm harvey

This has now been resolved, an update recently by francois has fixed it.
Fixed.
